Não consigo instalar o xampp no debian 10

1. Não consigo instalar o xampp no debian 10

Luan Arruda
MidnightKiller

(usa Debian)

Enviado em 17/09/2019 - 22:15h

Não sei se para progamar em php no linux preciso instalar o xampp, igual no windows, pois tentei instalar aqui e não foi, estou usando o debian 10 e quando termina a instalação no terminal ele não abre o setup. Se alguem consegui me ajudar agradeço pois estou iniciando no linux agora e estou meio perdido.


  


2. Re: Não consigo instalar o xampp no debian 10

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 17/09/2019 - 22:20h


v aí

https://www.edivaldobrito.com.br/instale-lamp-no-linux-e-tenha-um-servidor-web-em-seu-pc/ 



------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




3. Re: Não consigo instalar o xampp no debian 10

Luan Arruda
MidnightKiller

(usa Debian)

Enviado em 17/09/2019 - 22:48h

Mauriciodez escreveu:


v aí

https://www.edivaldobrito.com.br/instale-lamp-no-linux-e-tenha-um-servidor-web-em-seu-pc/ 



------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------



Obrigado, vou tentar quando chegar em casa


4. Não consigo instalar o xampp no debian 10

Luan Arruda
MidnightKiller

(usa Debian)

Enviado em 18/09/2019 - 00:36h

Mauriciodez escreveu:


v aí

https://www.edivaldobrito.com.br/instale-lamp-no-linux-e-tenha-um-servidor-web-em-seu-pc/ 



------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------



Ola, não estou conseguindo instalar o xampp, quando ele termina de carregar no terminal ele não abre o setup




Mesmo assim n deu certo



5. Re: Não consigo instalar o xampp no debian 10

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 19/09/2019 - 11:17h


MidnightKiller escreveu:
Ola, não estou conseguindo instalar o xampp, quando ele termina de carregar no terminal ele não abre o setup
Mesmo assim n deu certo


explica isso direito pois não estou entendendo esse descrição de erro !!!

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




6. Re: Não consigo instalar o xampp no debian 10

Glaulher Ramalho Medeiros
GRM

(usa Debian)

Enviado em 19/09/2019 - 18:18h


Cara o xamp roda de boa inclusive quando rodei foi com uma dica do blog do Edivaldo britto

Disciplina é liberdade
Compaixão é fortaleza
Ter bondade é ter coragem


7. Re: Não consigo instalar o xampp no debian 10

Luan Arruda
MidnightKiller

(usa Debian)

Enviado em 19/09/2019 - 19:31h

Mauriciodez escreveu:


MidnightKiller escreveu:
Ola, não estou conseguindo instalar o xampp, quando ele termina de carregar no terminal ele não abre o setup
Mesmo assim n deu certo


explica isso direito pois não estou entendendo esse descrição de erro !!!

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------



Então, quando fui instalar, isso na primeira tentativa eu fiz esses comandos

root@zMidnightKiller:/home/zmidnightkiller/Downloads# ./xampp-linux-x64-7.3.9-0-installer.run

No protocol specified
No protocol specified
No protocol specified
No protocol specified
----------------------------------------------------------------------------
Welcome to the XAMPP Setup Wizard.

----------------------------------------------------------------------------
Select the components you want to install; clear the components you do not want
to install. Click Next when you are ready to continue.

XAMPP Core Files [y/N] :
XAMPP Developer Files [Y/n] :y

Is the selection above correct? [Y/n]: y

----------------------------------------------------------------------------
Installation Directory

XAMPP will be installed to /opt/lampp
Press [Enter] to continue:

----------------------------------------------------------------------------
Setup is now ready to begin installing XAMPP on your computer.

Do you want to continue? [Y/n]: y

----------------------------------------------------------------------------
Please wait while Setup installs XAMPP on your computer.

Installing
0% ______________ 50% ______________ 100%
#########################################

----------------------------------------------------------------------------
Setup has finished installing XAMPP on your computer.

Quando finalizava era para aparecer o setup na tela, mas não apareceu,
então tentei pelo método que me passaram e no primeiro comando deu isso

zmidnightkiller@zMidnightKiller:~$ sudo apt-get install apache2 mysql-server php php-mysql libapache2-mod-php
Reading package lists... Done
Building dependency tree
Reading state information... Done
apache2 is already the newest version (2.4.38-3+deb10u1).
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
mysql-server : Depends: default-mysql-server but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

A questão é que eu estou iniciando no linux, então algo que aparentemente é padrão para os usuários antigos é novidade para mim kkk


8. Re: Não consigo instalar o xampp no debian 10

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 19/09/2019 - 21:34h

kra .. a parada bagunçou aí ... vamos ver o que deu ruim no teu sistema, mande aí pra gente

cat /etc/debian_version 
cat /etc/apt/sources.list 



------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




9. Re: Não consigo instalar o xampp no debian 10

Luan Arruda
MidnightKiller

(usa Debian)

Enviado em 19/09/2019 - 22:12h

Mauriciodez escreveu:

kra .. a parada bagunçou aí ... vamos ver o que deu ruim no teu sistema, mande aí pra gente

cat /etc/debian_version 
cat /etc/apt/sources.list 



------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




zmidnightkiller@zMidnightKiller:~$ cat /etc/debian_version
10.1
zmidnightkiller@zMidnightKiller:~$ cat /etc/apt/sources.list
#### REPOSITÓRIOS DEBIAN STRETCH "deb.debian.org"


### -----------------------------
###Repositório (stretch) Base ###
### -----------------------------
deb http://deb.debian.org/debian/ stretch main contrib non-free
#deb-src http://deb.debian.org/debian/ stretch main contrib non-free

### -----------------------------
###Repositório (stretch) security.debian.org/ ###
### -----------------------------
deb http://deb.debian.org/debian-security/ stretch/updates main contrib non-free
#deb-src http://deb.debian.org/debian-security/ stretch/updates main contrib non-free

### -----------------------------
###Repositório (stretch) stretch-updates ###
### -----------------------------
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
#deb-src http://deb.debian.org/debian/ stretch-updates main contrib non-free

### -----------------------------
###Repositório (stretch) proposed-updates###
### -----------------------------
#deb http://deb.debian.org/debian/ stretch-proposed-updates main contrib non-free
#deb-src http://deb.debian.org/debian/ stretch-proposed-updates main contrib non-free

### -----------------------------
###Repositório (stretch) stretch-backports ###
### -----------------------------
deb http://deb.debian.org/debian/ stretch-backports main contrib non-free
#deb-src http://deb.debian.org/debian/ stretch-backports main contrib non-free




10. Re: Não consigo instalar o xampp no debian 10

Luan Arruda
MidnightKiller

(usa Debian)

Enviado em 19/09/2019 - 22:17h

MidnightKiller escreveu:

Mauriciodez escreveu:

kra .. a parada bagunçou aí ... vamos ver o que deu ruim no teu sistema, mande aí pra gente

cat /etc/debian_version 
cat /etc/apt/sources.list 



------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




zmidnightkiller@zMidnightKiller:~$ cat /etc/debian_version
10.1
zmidnightkiller@zMidnightKiller:~$ cat /etc/apt/sources.list
#### REPOSITÓRIOS DEBIAN STRETCH "deb.debian.org"


### -----------------------------
###Repositório (stretch) Base ###
### -----------------------------
deb http://deb.debian.org/debian/ stretch main contrib non-free
#deb-src http://deb.debian.org/debian/ stretch main contrib non-free

### -----------------------------
###Repositório (stretch) security.debian.org/ ###
### -----------------------------
deb http://deb.debian.org/debian-security/ stretch/updates main contrib non-free
#deb-src http://deb.debian.org/debian-security/ stretch/updates main contrib non-free

### -----------------------------
###Repositório (stretch) stretch-updates ###
### -----------------------------
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
#deb-src http://deb.debian.org/debian/ stretch-updates main contrib non-free

### -----------------------------
###Repositório (stretch) proposed-updates###
### -----------------------------
#deb http://deb.debian.org/debian/ stretch-proposed-updates main contrib non-free
#deb-src http://deb.debian.org/debian/ stretch-proposed-updates main contrib non-free

### -----------------------------
###Repositório (stretch) stretch-backports ###
### -----------------------------
deb http://deb.debian.org/debian/ stretch-backports main contrib non-free
#deb-src http://deb.debian.org/debian/ stretch-backports main contrib non-free




Nossa, vendo aqui eu estou usando o 10.1 com o sources do 9



11. Re: Não consigo instalar o xampp no debian 10

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 19/09/2019 - 22:19h


matamos uma charada velho ... vc está usando repositório do 9 no 10 ...

faz aí (como root)
sed -i 's/stretch/buster/g' /etc/apt/sources.list && apt update && apt upgrade -y 


poste o resultado !!

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




12. Re: Não consigo instalar o xampp no debian 10

Luan Arruda
MidnightKiller

(usa Debian)

Enviado em 21/09/2019 - 08:27h

Mauriciodez escreveu:


matamos uma charada velho ... vc está usando repositório do 9 no 10 ...

faz aí (como root)
sed -i 's/stretch/buster/g' /etc/apt/sources.list && apt update && apt upgrade -y 


poste o resultado !!

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------



root@zMidnightKiller:/home/zmidnightkiller# sed -i 's/stretch/buster/g' /etc/apt/sources.list && apt update && apt upgrade -y
Get:1 http://deb.debian.org/debian buster InRelease [122 kB]
Ign:2 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:3 http://dl.google.com/linux/chrome/deb stable Release
Get:4 http://deb.debian.org/debian-security buster/updates InRelease [39.1 kB]
Get:6 http://deb.debian.org/debian buster-updates InRelease [49.3 kB]
Get:7 http://deb.debian.org/debian buster-backports InRelease [46.7 kB]
Get:8 http://deb.debian.org/debian buster/main amd64 Packages [7,899 kB]
Hit:9 https://packages.sury.org/php buster InRelease
Get:10 http://deb.debian.org/debian buster/main Translation-en [5,967 kB]
Get:11 http://deb.debian.org/debian buster/main amd64 DEP-11 Metadata [3,807 kB]
Get:12 http://deb.debian.org/debian buster/main DEP-11 48x48 Icons [3,770 kB]
Get:13 http://deb.debian.org/debian buster/main DEP-11 64x64 Icons [7,596 kB]
Get:14 http://deb.debian.org/debian buster/contrib amd64 Packages [51.0 kB]
Get:15 http://deb.debian.org/debian buster/contrib Translation-en [44.7 kB]
Get:16 http://deb.debian.org/debian buster/contrib amd64 DEP-11 Metadata [11.5 kB]
Get:17 http://deb.debian.org/debian buster/contrib DEP-11 48x48 Icons [56.4 kB]
Get:18 http://deb.debian.org/debian buster/contrib DEP-11 64x64 Icons [110 kB]
Get:19 http://deb.debian.org/debian buster/non-free amd64 Packages [88.0 kB]
Get:20 http://deb.debian.org/debian buster/non-free Translation-en [88.7 kB]
Get:21 http://deb.debian.org/debian buster/non-free amd64 DEP-11 Metadata [9,096 B]
Get:22 http://deb.debian.org/debian buster/non-free DEP-11 48x48 Icons [3,491 B]
Get:23 http://deb.debian.org/debian buster/non-free DEP-11 64x64 Icons [38.3 kB]
Get:24 http://deb.debian.org/debian-security buster/updates/main amd64 Packages [91.3 kB]
Get:25 http://deb.debian.org/debian-security buster/updates/main Translation-en [55.3 kB]
Get:26 http://deb.debian.org/debian buster-updates/main amd64 Packages [3,352 B]
Get:27 http://deb.debian.org/debian buster-updates/main Translation-en [2,396 B]
Get:28 http://deb.debian.org/debian buster-backports/main amd64 Packages [105 kB]
Get:29 http://deb.debian.org/debian buster-backports/main Translation-en [86.7 kB]
Get:30 http://deb.debian.org/debian buster-backports/contrib amd64 Packages [5,412 B]
Get:31 http://deb.debian.org/debian buster-backports/contrib Translation-en [3,636 B]
Get:32 http://deb.debian.org/debian buster-backports/non-free amd64 Packages [5,192 B]
Get:33 http://deb.debian.org/debian buster-backports/non-free Translation-en [14.7 kB]
Fetched 30.2 MB in 25s (1,198 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
5 packages can be upgraded. Run 'apt list --upgradable' to see them.
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
firmware-realtek gir1.2-ibus-1.0 google-chrome-stable libibus-1.0-5 tzdata
5 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 1,434 kB/62.5 MB of archives.
After this operation, 485 kB of additional disk space will be used.
Get:1 http://deb.debian.org/debian buster-updates/main amd64 tzdata all 2019c-0+deb10u1 [261 kB]
Get:2 http://deb.debian.org/debian buster/non-free amd64 firmware-realtek all 20190114-2 [505 kB]
Get:3 http://deb.debian.org/debian-security buster/updates/main amd64 libibus-1.0-5 amd64 1.5.19-4+deb10u1 [374 kB]
Get:4 http://deb.debian.org/debian-security buster/updates/main amd64 gir1.2-ibus-1.0 amd64 1.5.19-4+deb10u1 [294 kB]
Fetched 1,434 kB in 2s (636 kB/s)
apt-listchanges: Reading changelogs...
Preconfiguring packages ...
(Reading database ... 139686 files and directories currently installed.)
Preparing to unpack .../google-chrome-stable_77.0.3865.90-1_amd64.deb ...
Unpacking google-chrome-stable (77.0.3865.90-1) over (77.0.3865.75-1) ...
Preparing to unpack .../tzdata_2019c-0+deb10u1_all.deb ...
Unpacking tzdata (2019c-0+deb10u1) over (2019b-0+deb10u1) ...
Preparing to unpack .../firmware-realtek_20190114-2_all.deb ...
Unpacking firmware-realtek (20190114-2) over (20161130-5) ...
Preparing to unpack .../libibus-1.0-5_1.5.19-4+deb10u1_amd64.deb ...
Unpacking libibus-1.0-5:amd64 (1.5.19-4+deb10u1) over (1.5.19-4) ...
Preparing to unpack .../gir1.2-ibus-1.0_1.5.19-4+deb10u1_amd64.deb ...
Unpacking gir1.2-ibus-1.0:amd64 (1.5.19-4+deb10u1) over (1.5.19-4) ...
Setting up google-chrome-stable (77.0.3865.90-1) ...
Setting up libibus-1.0-5:amd64 (1.5.19-4+deb10u1) ...
Setting up tzdata (2019c-0+deb10u1) ...

Current default time zone: 'America/Sao_Paulo'
Local time is now: Sat Sep 21 08:26:00 -03 2019.
Universal Time is now: Sat Sep 21 11:26:00 UTC 2019.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

Setting up firmware-realtek (20190114-2) ...
update-initramfs: deferring update (trigger activated)
Setting up gir1.2-ibus-1.0:amd64 (1.5.19-4+deb10u1) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for gnome-menus (3.31.4-3) ...
Processing triggers for libc-bin (2.28-10) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for desktop-file-utils (0.23-4) ...
Processing triggers for initramfs-tools (0.133+deb10u1) ...
update-initramfs: Generating /boot/initrd.img-4.19.0-6-amd64
W: Possible missing firmware /lib/firmware/i915/bxt_dmc_ver1_07.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_dmc_ver1_27.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_dmc_ver1_04.bin for module i915
W: Possible missing firmware /lib/firmware/i915/cnl_dmc_ver1_07.bin for module i915
W: Possible missing firmware /lib/firmware/i915/glk_dmc_ver1_04.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_39.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver9_29.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_guc_ver9_33.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_huc_ver02_00_1810.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_huc_ver01_07_1398.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_huc_ver01_07_1398.bin for module i915
root@zMidnightKiller:/home/zmidnightkiller#







01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts